## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EAnnotationEditPart.AnnotationFigure

    java.lang.Object
      GradientRectangleFigure
          org.eclipse.emf.ecoretools.diagram.edit.parts.EAnnotationEditPart.AnnotationFigure

Enclosing class:
  EAnnotationEditPart

    public class EAnnotationEditPart.AnnotationFigure

extends GradientRectangleFigure

Field Summary
`protected static int` `BENT_CORNER_HEIGHT`
`protected static int` `BENT_CORNER_WIDTH`

Constructor Summary
`EAnnotationEditPart.AnnotationFigure()`

Method Summary
`void` `addFromLabel()`
`protected void` `fillShape(org.eclipse.draw2d.Graphics graphics)`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureAnnotationNameLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureFromLabel()`
`org.eclipse.draw2d.geometry.PointList` `getPointsList()`
`protected void` `outlineShape(org.eclipse.draw2d.Graphics graphics)`
`void` `removeFromLabel()`
`protected void` `setUseLocalCoordinates(boolean useLocalCoordinates)`
`void` `updateFromLabel(java.lang.String text)`
`protected boolean` `useLocalCoordinates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BENT_CORNER_WIDTH

    protected static final int BENT_CORNER_WIDTH

See Also:
  Constant Field Values

### BENT_CORNER_HEIGHT

    protected static final int BENT_CORNER_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### EAnnotationEditPart.AnnotationFigure

    public EAnnotationEditPart.AnnotationFigure()

Method Detail

### getPointsList

    public org.eclipse.draw2d.geometry.PointList getPointsList()

### fillShape

    protected void fillShape(org.eclipse.draw2d.Graphics graphics)

### outlineShape

    protected void outlineShape(org.eclipse.draw2d.Graphics graphics)

### useLocalCoordinates

    protected boolean useLocalCoordinates()

### setUseLocalCoordinates

    protected void setUseLocalCoordinates(boolean useLocalCoordinates)

### getFigureAnnotationNameLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureAnnotationNameLabel()

### addFromLabel

    public void addFromLabel()

### getFigureFromLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureFromLabel()

### removeFromLabel

    public void removeFromLabel()

### updateFromLabel

    public void updateFromLabel(java.lang.String text)

Copyright 2007 Anyware Technologies. All Rights Reserved.